﻿@media print{
    .main-nav, .tab-button, .no-print, .no-print * { display: none !important; }
}

.header {
    display: block;
    margin-left: auto;
    margin-right: auto;
    /*width: 50%;
    margin: auto;*/
}

h3 { font-size: 18px !important; }

.likebody {
    margin: 0px 7px 0px 7px;
}

.toggle-menu {
    /*margin-left: 20px;
    top: 10%;
    font-size: 25px;
    cursor: pointer;*/
    font-weight:bold;
    color:#1B4422;
    margin-left:5px;
    vertical-align:middle;
    cursor:pointer;
    font-size: 18px;
}

.main-nav-check {
  display: none;
}

.main-nav {
    position: fixed;
    top: 0;
    width: 0;
    height: 100%;
    overflow-y: auto;
    background-color: #006838;
    color: #ffffff;
}

.close-menu {
    display: none;
}

#main-nav-check:checked ~ #navBar {
    width: 11%;
    top: 0;
}

#main-nav-check:checked ~ .likebody {
    width: 89%;
    margin: 0;
    padding-right: 1%;
    padding-left: 1%;
    float: right;
}

#main-nav-check:checked ~ #main-header {
    width: 89% !important;
    margin-left: 11% !important;
}

.ddmenu-items{
    width: 300px;
    background-color: #006838;
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: 999999;
}
.dropdown { margin-top: 0px !important; }
.dropdown-menu > li > a { color: #ffffff; }
.fa-caret-right { float: right; margin-top: 4px !important; }
.nav > li > a { padding: 5px !important; }
.uk-accordion-title::before {
    background-image: none !important;
}

    .loginBtn:hover { /*hover:focus:active --dosent work*/
        background-color: #01572f !important;
    }

.loginBtn:focus {
    background-color: #00532d !important;
}

    .loginBtn:active {
        background-color: #004424 !important;
    }

.smallFont {
    font-size: 15px;
}
.xSmallFont {
    font-size: 9px;
}
.form_header_div { background-image: linear-gradient(to right, #dedede , white); padding: 5px 0px 0px 5px; }
.form_header { color: #006838; font-size: 16px; font-weight: bold; padding: 2px; }
.form_search > input.ui-autocomplete-input { height:28px !important; border: 1px solid #006838; border-radius: 20px 0px 0px 20px; padding: 7px; }
.form_search > button { height:28px !important; border-radius: 0px 20px 20px 0px; padding: 0px; }

.btn { font-size: 12px; border-radius: 20px; }
.header-btn { background-color: #ffffff !important; border-radius: 5px; height: 21px; border: none; color: #006838 !important; font-weight: bold; margin-right: -10px; }
.required::after{ 
    content: "*"; 
    color: red; 
    font-weight: bold; 

}

button {
    background-color: #006838 !important;
    color: white !important;
    font-size: small;
}

input[type=button] {
    background-color: #006838;
    color: white;
    font-size: small;
}

label{
    font-weight: normal;
}

.modal {
    width: fit-content;
    height: fit-content;
    float: none;
    margin: auto;
    z-index: 9999; 
    background: transparent;
    border-color: transparent;
    box-shadow: transparent;
    box-shadow: 0px;
    border: 0 hidden transparent;
    padding: 15px 10px;
}

.modal-contant {
    overflow-y: auto;
    /*overflow:auto;*/
    display: none;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 85% !important;
    border-radius: 5px;
    border: 0.1em solid blue;
    box-shadow: 0 1.5px 0 0 rgba(0,0,0,0.1);
}

.ui.dimmer {
    background-color: rgba(0,0,0,.75) !important; /*rgba(100,149,237, .75) !important;*/
}

.basic {
    background-color: white !important;
    color: black !important;
    border-radius: 5px !important;
    border: 0 hidden transparent !important;
}

.active{
    background-color: white !important;
    color: green !important;
    font-weight: bold;
    border-bottom-left-radius:0px;
    border-bottom-right-radius:0px;
    margin: 0px 1px;
}

.navbar-inverse .navbar-nav > li > a {
    padding-top: 10px;
    padding-bottom: 10px;
    color: white !important;
}

.navbar-inverse .navbar-nav > li > a:hover {
    color:#9d9d9d !important;
}

.ui-state-hover {
    color:black !important;
    border: 1px solid #006838 !important;
}

.ui-state-default {
    color:black;
    border: 1px solid #006838 !important;/*commenting this out makes all igeditors borderless*/
    /*border: 0px !important;*/
}

.ui-igedit-input {
    color:black;
    border: 1px solid #006838 !important;
    border-radius: 4px !important;
}

.ui-igcombo-button-ltr{
    background-color: #006838 !important;
    border-radius: 0px 4px 4px 0px !important;
}

.ui-icon-triangle-1-s{
    color: white !important;
}

.ui-widget-header:not(.ui-iggrid-addrow) {
    background-color: #006838 !important;
}
.ui-iggrid-pager { height: 31px; padding: 3px 5px 2px 5px !important; }
.ui-iggrid-tablebody > tr > td { border-right: 1px solid rgba(0,0,0,.18) !important; }

input[type=text]:not(.ui-igedit-input),[type=password],[type=tel] {
    border: 1px solid #006838 !important;
    border-radius: 4px !important;
    padding: 7px;
    width: 100%;
    height: 25px !important;
    margin: 0px 2px 2px 0px;
}

select {
    border: 1px solid #006838 !important;
    border-radius: 4px !important;
    height: 25px !important;
    margin: 0px 2px 2px 0px !important;
}

textarea {
    border: 1px solid #006838;
    border-radius: 4px;
    padding: 7px;
    width: 100%;
    resize: none;
}

.div-header {
    background-color:#006838;
    height:30px;
    padding:5px;
    color: white;
    vertical-align:middle;
}

/* 2020-07-01 CS: This is messing up datepicker filter
    .ui-iggrid-filtercell .ui-igedit-container>.ui-igeditor-input-container {
    width: 100% !important;
}*/
.ui-iggrid-filtercell .ui-igedit-container>.ui-igeditor-input-container { width: auto !important; }

img {
    padding: 2px;
}
    img#editBtn, img#loadBtn, img#contactsBtn, img#displayBtn, img#deleteBtn, img#reportBtn, img#paymentBtn, img#memberBtn, img#copyBtn, img#allocateBtn, img#deleteAllocBtn,
    img#writeoffBtn, img#voidBtn, img#reverseBtn, img#reqDateBtn, img#printBtn, img#reIssueBtn, img#reVoidReissuBtn, img#printMembersBtn, img#viewBtn, img#attachBtn,
    img#recFailedBtn, img#recSucceedBtn {
        cursor: pointer;
    }

.uk-checkbox:checked {
    background-color: #006838 !important;
}

.uk-checkbox {
    border-color: #006838 !important;
    height: 24px;
    width: 24px;
    border-radius: 4px;
}

.uk-border-rounded {
    border-radius: 4px;
}

.uk-radio:checked {
    background-color: #006838 !important;
}

.uk-radio {
    border-color: #006838 !important;
}

.drop-down {
    border: 1px solid #006838;
    border-radius: 4px;
    padding: 7px;
    width: 100%;
    height: 30px;
}

.form-control[disabled], .uk-checkbox:disabled, input:disabled, .form-control[readonly], select:disabled {
    background-color: #efefef !important;
    cursor: default !important;
    border: 1px solid #989898 !important;
    border-radius: 4px;
}

.uk-card-default {
    box-shadow: 0px 1px 20px rgba(0,0,0,.18);
}

.union-header-focus {
    border: 1px solid #1B4422;
}

a.dropdown-toggle {
    color: #ffffff;
    font-size: 18px;
    font-family: "Open Sans";
}

a.dropdown-toggle.rmenu { font-weight: bold; }

a.dropdown-toggle:hover {
    color: black !important;
    font-size: 18px;
}

ul ul a {
    border-radius: 4px;
    position: relative;
    display: block;
    padding: 10px 35px;
    font-size: 16px !important;
    opacity: 1 !important;
}

ul ul a:hover {
    text-decoration: none;
    background-color: #eee;
    color: black !important;
}

.menu-active {
    background: #4c9450;
    opacity: 1 !important;
}

.tab-button{
    background-color: lightgrey !important;
    color: green !important;
    border-bottom-left-radius:0px;
    border-bottom-right-radius:0px;
    margin: 0px 1px;
}

.uk-checkbox:disabled:checked {
    background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%2214%22%20height%3D%2211%22%20viewBox%3D%220%200%2014%2011%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%20%20%3Cpolygon%20fill%3D%22%23fff%22%20points%3D%2212%201%205%207.5%202%205%201%205.5%205%2010%2013%201.5%22%20%2F%3E%0A%3C%2Fsvg%3E%0A");
}

.container-404{
    /*FLEX*/
    display: -webkit-flex;
    display: flex;
    /*height: 50%;*/
    /*width: 60%;*/
    flex-direction: column;
    flex: none;
    width: 60%;
    border-color: lightgray !important;
    /*border-color: lightgray !important;*/
    background-color: white;
    border-width: 2px;
    border-style: solid;
    /*border-radius: 3px;*/
    box-shadow: 0 1.5px 0 0 rgba(0,0,0,0.1);
    padding: 35px;
}

.ui-autocomplete {
    max-height: 84%;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
}

.ui-menu {
    border-radius: 4px !important;
    background-color: #ccc !important;
}

.ui-menu-item {
    padding: 5px;
    border-radius: 4px !important;
    max-width: 455px;
    word-break: break-all;
    margin: 0 !important;
}

.ui-menu-item:hover {
    background-color: white;
    margin: 0 !important;
    text-decoration: none !important;
}

.ui-menu-item>.ui-state-focus {
    border: none !important;
    background-color: white !important;
    color: black !important;
}

input[type=text].ui-igcombo-field:not(.ui-igedit-input) {
    /*border: none !important;*/
    border: 1px solid #006838 !important;
    border-radius: 4px 0px 0px 4px !important;
    height: 27px !important;
    margin: 0px 2px 2px 0px !important;
}

.ui-corner-all {
    border-radius: 4px !important;
}

.ui-state-focus {
    border-radius: 4px !important;
}

/*.ui-igcombo-button {
    height: 100% !important;
}*/

.ui-icon-triangle-1-s:before {
    content: '\e648';
    display: block;
    height: 1em;
    left: 50%;
    line-height: 1;
    margin-left: -.5em;
    margin-top: -.5em;
    position: absolute;
    text-indent: 0;
    top: 25% !important;
    width: 1em;
}

.ui-igcombo-clear {
    height: 91% !important;
    padding: 0 !important;
}

.ui-igcombo-clearicon {
    top: 25% !important;
}

.ui-iggrid-deleteicon {
    top: 0 !important;
    left: 0 !important;
}

.input-sm{
    font-size: 14px;
}

.ui-state-disabled, .ui-unselectable{
    opacity: 1 !important;
    background-color: white;
    cursor: default !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance:textfield;
}

.error {
    background-color: #ffdede !important;
    color: #9f3a38 !important;
}

.errorInput {
    border: 2px solid red !important;
}

.modalInputs {
    border-radius: 4px;
    padding:2px;
    border: 1px solid #006838;
}

.ui-iggrid-scrolldiv{
    background-color: transparent !important;
    border-bottom: 0px !important;
}

.ui-igcombo-list {
    max-height: 280px !important;
}

.ui-icon-check-parent-border { border : solid #999999 1px !important; }

.hide { display: none; }
.floatL { float: left; }
.floatR { float: right; }
.floatC { clear: both; }
.floatLC { float: left; clear: both; }
input.wrong-field.wrong-field { border: 2px solid red !important; margin-bottom: 0px; }
input[type=text].ui-igcombo-field.wrong-field { border: 2px solid red !important; margin-bottom: 0px; }
span.wrong-field { color: #FF0000; padding-left: 3px; }
.ui-igcombo>.wrong-field{ border: 2px solid red !important; }

/*li.ui-igcombo-listitem.igcombo_disabled{  color: darkgray !important; font-style: italic !important; font-weight: bold !important;}*/

@media only screen and (max-width: 1133px) {
    #divTab {
        position: relative !important;
    }
    #divHeaderTab {
        height: unset !important;
    }
}

@media only screen and (max-width: 960px) {
    #divAnnBal, #divAnnContDt {
        text-align: left !important;
    }
}

.ui-iggrid-groupedrow[data-glevel='1'] {
    background-color: #006838;
    color: white;
}

.ui-iggrid-groupedrow[data-glevel='0'] {
    background-color: #1B4422;
    color: white;
}

.ui-iggrid-headertext {
    font-family: "Open Sans";
    white-space:normal !important;
    font-weight: 600;
}

body { font-size: 12px !important; height:100%; }

body.dialog-loading { overflow: hidden; }
body.dialog-loading .loader_naked { display: block; }
.loader_naked { display: none; position: fixed; z-index: 1000; top: 0; left: 0; height: 100%; width: 100%; background: rgba(255, 255, 255, 0) url('/Images/ajax-loader.gif') 50% 50% no-repeat; }
#loading-overlay {
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background: url('/Images/ajax-loader_gr.gif') white no-repeat center;
    opacity: 0.75;
    z-index: 99999;
}
.ui-icon-calculator{
    display: none !important;
}

.border-box{
    border: 2px solid #006838; 
    padding:0px;
}

.alignC { text-align: center; }
.alignR { text-align: right; }
.alignRParent { text-align: right; }

.igCellRightBorder {border-right: .1px solid #999999 !important;}
.igCellLeftBorder {border-left: .1px solid #999999 !important;}
.alignLParent { text-align: left; }

.Current { background: purple;}

.igTotalRow { background: #006838 !important; color: white !important; }
.lightRed { background-color: #ffd1d1 !important; }
.igPostedRecord { background-color: #ffd1d1 !important; }
.igTotalRowGeneral { background: #d1e8c9 !important; font-weight: bold !important; text-align: right; padding-right: 5px !important; border-color: #d1e8c9 !important; }
.igTotalRowGeneralSub { background: #bfceb9 !important; font-weight: bold !important; text-align: right; padding-right: 5px !important; border-color: #bfceb9 !important; }

.capitalize { text-transform: capitalize; }

.general-criteria-box { margin: 10px; }
.general-criteria-box > div.pp-section { border: 1px solid #006838; padding: 5px 15px 5px 15px; display: inline-block; width: 100%; }
.general-criteria-box > div.pp-header { border: 1px solid #006838; padding: 3px 15px 0px 15px; background-color:#006838; color: white; }
.general-criteria-box > div > div { display: inline-block; float: left; height: 32px; }
.general-criteria-box > div > div > label { float: left; width: 100px; height: 22px; margin-left: 20px; padding-top: 4px; }
.general-criteria-box > div > div > label.short { float: left; width: 50px; height: 22px; margin-left: 20px; padding-top: 4px; }
.general-criteria-box > div > div > input { float: left; width: 120px !important; margin-left: 20px; }
.general-criteria-box > div > div > select { float: left; width: 180px !important; margin-left: 20px !important; }
.general-criteria-box > div > div > span:not(.ui-igcombo-wrapper) { float: left; width: 250px !important; margin-left: 20px !important; }

/*make footer/pg numbers white instead of black*/
.ui-iggrid .ui-iggrid-footer, .ui-iggrid .ui-iggrid-toolbar { color: #ffffff !important; }

/*make black icon blue*/
.blue-filter { filter: sepia(100%) saturate(800%) hue-rotate(170deg) grayscale(30%); }

.redLabel { display: inline-block; padding: 4px 10px; background-color: red; color: white; border-radius: 8px; font-size: 14px; font-weight: bold; font-family: Arial, sans-serif; }